#pragma once
#ifndef __CONFIG_ADBMS6830_H
#define __CONFIG_ADBMS6830_H
#include "main.h"

#define N_BMS 2
#define ADBMS_SPI_TIMEOUT 100 // Timeout in ms

[[maybe_unused]] static inline void mcuAdbmsCSLow() {
    HAL_GPIO_WritePin(AMS_CS_GPIO_Port, AMS_CS_Pin, GPIO_PIN_RESET);
}

[[maybe_unused]] static inline void mcuAdbmsCSHigh() {
    HAL_GPIO_WritePin(AMS_CS_GPIO_Port, AMS_CS_Pin, GPIO_PIN_SET);
}

#endif //__CONFIG_ADBMS6830_H
